Get payment

Retrieve a single payment object by its payment ID.

Access with

API key

Organization access token with payments.read

OAuth access with payments.read

Path Params
string
required

Provide the ID of the related payment.

Query Params
string | null
enum

This endpoint allows you to include additional information via the include query string parameter.

Show Details
details.qrCodeInclude a QR code object. Only available for iDEAL, Bancontact and bank transfer payments.
details.remainderDetailsFor payments where gift cards or vouchers were applied and the remaining amount was paid with another payment method, this include will add another `details` object specifically for the remainder payment.
Allowed:
string | null
enum

This endpoint allows embedding related API items by appending the following values via the embed query string parameter.

Show Details
capturesEmbed all captures created for this payment.
refundsEmbed all refunds created for this payment.
chargebacksEmbed all chargebacks created for this payment.
Allowed:
boolean

Most API credentials are specifically created for either live mode or test mode. In those cases the testmode query parameter must not be sent. For organization-level credentials such as OAuth access tokens, you can enable test mode by setting the testmode query parameter to true.

Test entities cannot be retrieved when the endpoint is set to live mode, and vice versa.

Responses

Language
Credentials
Request
Response
Choose an example:
application/hal+json